import * as EnrichedLeague from "./types/league.js";
import { Match, MatchResult } from "./types/match-result.js";
import { Id } from "./types/id.js";
import { DayPredictions } from "./types/prediction.js";
import { User } from "./types/user.js";
import { PlayoffPredictions } from "./types/playoff-prediction.js";
import { Team } from "./types/team.js";
export declare function getLeagueById(leagueId: Id): Promise<EnrichedLeague.League>;
export declare function getCurrentDayMatches(leagueId: Id): Promise<Match[]>;
export declare function getResultsFromDay(leagueId: Id, day: number): Promise<MatchResult[]>;
export declare function submitDayPredictions(dayPreds: DayPredictions): Promise<void>;
export declare function authPredictionUser(token: string): Promise<User>;
export declare function getDayPredictions(userId: string, leagueId: Id): Promise<DayPredictions | undefined>;
export declare function getPlayoffPredictions(userId: string, leagueId: Id): Promise<PlayoffPredictions | undefined>;
export declare function submitPlayoffPredictions(playoffPreds: PlayoffPredictions): Promise<void>;
export declare function getLeagueTeams(leagueId: Id): Promise<Team[]>;
